homepagetable: Get recent events for homepage table

API: gdacs.org:gdacs-api
Endpoint: /gdacsapi/api/events/geteventlist/homepagetable
Response format: application/json
Charset: utf-8
Auth: none
Method: GET
Last Status: 200
Latency: 521ms

Description

Returns a simplified list of recent disaster events formatted for display in a table. Includes basic event information, alert levels, and links to detailed reports.

Parameters (3)

eventlist (string, query, optional)

Comma-separated list of event types to include (EQ=Earthquake, TC=Tropical Cyclone, FL=Flood, VO=Volcano, DR=Drought, WF=Wildfire)

fromDate (string, query, optional)

Start date for event filtering (ISO 8601 format)

toDate (string, query, optional)

End date for event filtering (ISO 8601 format)

Examples (2)

Get disaster events for homepage table openapi-spec
curl 'https://www.gdacs.org/gdacsapi/api/events/geteventlist/homepagetable?fromDate=2025-01-01&toDate=2025-12-31&eventlist=EQ%2CTC%2CFL'
import requests

resp = requests.get(
    "https://www.gdacs.org/gdacsapi/api/events/geteventlist/homepagetable",
    params={
        'fromDate': '2025-01-01',
        'toDate': '2025-12-31',
        'eventlist': 'EQ,TC,FL',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("gdacs")
result = api.fetch("gdacsapi/api/events/geteventlist/homepagetable", fromDate="2025-01-01", toDate="2025-12-31", eventlist="EQ,TC,FL")

for item in result:
    print(item)
const resp = await fetch("https://www.gdacs.org/gdacsapi/api/events/geteventlist/homepagetable?fromDate=2025-01-01&toDate=2025-12-31&eventlist=EQ%2CTC%2CFL");
const data = await resp.json();
Get recent events for homepage table probe-gate
curl 'https://www.gdacs.org/gdacsapi/api/events/geteventlist/homepagetable'
import requests

resp = requests.get("https://www.gdacs.org/gdacsapi/api/events/geteventlist/homepagetable")
data = resp.json()
import zingu_apis

api = zingu_apis.api("gdacs")
result = api.fetch("gdacsapi/api/events/geteventlist/homepagetable")

for item in result:
    print(item)
const resp = await fetch("https://www.gdacs.org/gdacsapi/api/events/geteventlist/homepagetable");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 02:03:54.441211 200 521ms
2026-04-16 01:14:45.502518 200 594ms
2026-04-15 03:47:47.699112 200 488ms
2026-04-15 01:42:30.063722 200 417ms
2026-04-14 02:40:09.583123 200 436ms
2026-04-14 00:02:38.625336 200 478ms
2026-04-12 15:14:51.394607 200 522ms
2026-04-12 14:08:58.403570 200 453ms
2026-04-10 02:14:19.416263 200 596ms
2026-04-10 00:06:33.254230 200 735ms
2026-04-09 03:47:16.630637 ERR
2026-04-09 01:48:13.273805 200 11178ms
2026-04-08 01:17:22.138256 200 1622ms
2026-04-08 00:23:22.435566 200 1501ms
2026-04-07 01:08:25.475574 200 945ms
2026-04-07 00:50:32.315457 200 1144ms
2026-04-06 04:50:43.834875 200 1234ms
2026-04-06 04:18:04.814144 200 512ms
2026-04-05 14:23:50.154655 200 1155ms
2026-04-05 02:42:20.200341 200 431ms
2026-04-05 01:28:47.891189 200 587ms
2026-04-04 02:15:56.731231 200 664ms
2026-04-04 02:13:08.605214 200 427ms
2026-04-03 12:51:38.892586 200 1188ms
2026-04-03 12:23:18.724752 200 1320ms
2026-03-30 02:57:36.741795 200 1052ms
2026-03-30 02:23:29.178114 200 1259ms
2026-03-29 13:39:55.325225 200 1096ms
2026-03-29 13:16:50.191233 200 494ms
2026-03-23 10:34:20.334953 200 365ms
2026-03-23 10:25:33.125928 200 1006ms